com.sun.java.xml.ns.javaee

## Class ServiceRefType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.ServiceRefType

-     public class ServiceRefType
      extends Object

  The service-ref element declares a reference to a Web service. It contains optional description, display name and icons, a declaration of the required Service interface, an optional WSDL document location, an optional set of JAX-RPC mappings, an optional QName for the service element, an optional set of Service Endpoint Interfaces to be resolved by the container to a WSDL port, and an optional set of handlers.

  Java-Klasse für service-refType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="service-refType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://java.sun.com/xml/ns/javaee}descriptionGroup"/>
               <element name="service-ref-name" type="{http://java.sun.com/xml/ns/javaee}jndi-nameType"/>
               <element name="service-interface" type="{http://java.sun.com/xml/ns/javaee}fully-qualified-classType"/>
               <element name="service-ref-type" type="{http://java.sun.com/xml/ns/javaee}fully-qualified-classType" minOccurs="0"/>
               <element name="wsdl-file" type="{http://java.sun.com/xml/ns/javaee}xsdAnyURIType" minOccurs="0"/>
               <element name="jaxrpc-mapping-file" type="{http://java.sun.com/xml/ns/javaee}pathType" minOccurs="0"/>
               <element name="service-qname" type="{http://java.sun.com/xml/ns/javaee}xsdQNameType" minOccurs="0"/>
               <element name="port-component-ref" type="{http://java.sun.com/xml/ns/javaee}port-component-refType" maxOccurs="unbounded" minOccurs="0"/>
               <choice>
                 <element name="handler" type="{http://java.sun.com/xml/ns/javaee}handlerType" maxOccurs="unbounded" minOccurs="0"/>
                 <element name="handler-chains" type="{http://java.sun.com/xml/ns/javaee}handler-chainsType" minOccurs="0"/>
               </choice>
               <group ref="{http://java.sun.com/xml/ns/javaee}resourceGroup"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DescriptionType>` | `description`
    `protected List<DisplayNameType>` | `displayName`
    `protected List<HandlerType>` | `handler`
    `protected HandlerChainsType` | `handlerChains`
    `protected List<IconType>` | `icon`
    `protected String` | `id`
    `protected List<InjectionTargetType>` | `injectionTarget`
    `protected PathType` | `jaxrpcMappingFile`
    `protected XsdStringType` | `lookupName`
    `protected XsdStringType` | `mappedName`
    `protected List<PortComponentRefType>` | `portComponentRef`
    `protected FullyQualifiedClassType` | `serviceInterface`
    `protected XsdQNameType` | `serviceQname`
    `protected JndiNameType` | `serviceRefName`
    `protected FullyQualifiedClassType` | `serviceRefType`
    `protected XsdAnyURIType` | `wsdlFile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceRefType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `List<DisplayNameType>` | `getDisplayName()` Gets the value of the displayName property.
    `List<HandlerType>` | `getHandler()` Gets the value of the handler property.
    `HandlerChainsType` | `getHandlerChains()` Ruft den Wert der handlerChains-Eigenschaft ab.
    `List<IconType>` | `getIcon()` Gets the value of the icon property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<InjectionTargetType>` | `getInjectionTarget()` Gets the value of the injectionTarget property.
    `PathType` | `getJaxrpcMappingFile()` Ruft den Wert der jaxrpcMappingFile-Eigenschaft ab.
    `XsdStringType` | `getLookupName()` Ruft den Wert der lookupName-Eigenschaft ab.
    `XsdStringType` | `getMappedName()` Ruft den Wert der mappedName-Eigenschaft ab.
    `List<PortComponentRefType>` | `getPortComponentRef()` Gets the value of the portComponentRef property.
    `FullyQualifiedClassType` | `getServiceInterface()` Ruft den Wert der serviceInterface-Eigenschaft ab.
    `XsdQNameType` | `getServiceQname()` Ruft den Wert der serviceQname-Eigenschaft ab.
    `JndiNameType` | `getServiceRefName()` Ruft den Wert der serviceRefName-Eigenschaft ab.
    `FullyQualifiedClassType` | `getServiceRefType()` Ruft den Wert der serviceRefType-Eigenschaft ab.
    `XsdAnyURIType` | `getWsdlFile()` Ruft den Wert der wsdlFile-Eigenschaft ab.
    `void` | `setHandlerChains(HandlerChainsType value)` Legt den Wert der handlerChains-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setJaxrpcMappingFile(PathType value)` Legt den Wert der jaxrpcMappingFile-Eigenschaft fest.
    `void` | `setLookupName(XsdStringType value)` Legt den Wert der lookupName-Eigenschaft fest.
    `void` | `setMappedName(XsdStringType value)` Legt den Wert der mappedName-Eigenschaft fest.
    `void` | `setServiceInterface(FullyQualifiedClassType value)` Legt den Wert der serviceInterface-Eigenschaft fest.
    `void` | `setServiceQname(XsdQNameType value)` Legt den Wert der serviceQname-Eigenschaft fest.
    `void` | `setServiceRefName(JndiNameType value)` Legt den Wert der serviceRefName-Eigenschaft fest.
    `void` | `setServiceRefType(FullyQualifiedClassType value)` Legt den Wert der serviceRefType-Eigenschaft fest.
    `void` | `setWsdlFile(XsdAnyURIType value)` Legt den Wert der wsdlFile-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### displayName

          protected List<DisplayNameType> displayName

    - #### icon

          protected List<IconType> icon

    - #### serviceRefName

          protected JndiNameType serviceRefName

    - #### serviceInterface

          protected FullyQualifiedClassType serviceInterface

    - #### serviceRefType

          protected FullyQualifiedClassType serviceRefType

    - #### wsdlFile

          protected XsdAnyURIType wsdlFile

    - #### jaxrpcMappingFile

          protected PathType jaxrpcMappingFile

    - #### serviceQname

          protected XsdQNameType serviceQname

    - #### portComponentRef

          protected List<PortComponentRefType> portComponentRef

    - #### handler

          protected List<HandlerType> handler

    - #### handlerChains

          protected HandlerChainsType handlerChains

    - #### mappedName

          protected XsdStringType mappedName

    - #### injectionTarget

          protected List<InjectionTargetType> injectionTarget

    - #### lookupName

          protected XsdStringType lookupName

    - #### id

          protected String id

  - ### Constructor Detail

    - #### ServiceRefType

          public ServiceRefType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getDisplayName

          public List<DisplayNameType> getDisplayName()

      Gets the value of the displayName property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the displayName property.

      For example, to add a new item, do as follows:

              getDisplayName().add(newItem);

      Objects of the following type(s) are allowed in the list `DisplayNameType`

    - #### getIcon

          public List<IconType> getIcon()

      Gets the value of the icon property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the icon property.

      For example, to add a new item, do as follows:

              getIcon().add(newItem);

      Objects of the following type(s) are allowed in the list `IconType`

    - #### getServiceRefName

          public JndiNameType getServiceRefName()

      Ruft den Wert der serviceRefName-Eigenschaft ab.
      Returns:
        possible object is `JndiNameType`

    - #### setServiceRefName

          public void setServiceRefName(JndiNameType value)

      Legt den Wert der serviceRefName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `JndiNameType`

    - #### getServiceInterface

          public FullyQualifiedClassType getServiceInterface()

      Ruft den Wert der serviceInterface-Eigenschaft ab.
      Returns:
        possible object is `FullyQualifiedClassType`

    - #### setServiceInterface

          public void setServiceInterface(FullyQualifiedClassType value)

      Legt den Wert der serviceInterface-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FullyQualifiedClassType`

    - #### getServiceRefType

          public FullyQualifiedClassType getServiceRefType()

      Ruft den Wert der serviceRefType-Eigenschaft ab.
      Returns:
        possible object is `FullyQualifiedClassType`

    - #### setServiceRefType

          public void setServiceRefType(FullyQualifiedClassType value)

      Legt den Wert der serviceRefType-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FullyQualifiedClassType`

    - #### getWsdlFile

          public XsdAnyURIType getWsdlFile()

      Ruft den Wert der wsdlFile-Eigenschaft ab.
      Returns:
        possible object is `XsdAnyURIType`

    - #### setWsdlFile

          public void setWsdlFile(XsdAnyURIType value)

      Legt den Wert der wsdlFile-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdAnyURIType`

    - #### getJaxrpcMappingFile

          public PathType getJaxrpcMappingFile()

      Ruft den Wert der jaxrpcMappingFile-Eigenschaft ab.
      Returns:
        possible object is `PathType`

    - #### setJaxrpcMappingFile

          public void setJaxrpcMappingFile(PathType value)

      Legt den Wert der jaxrpcMappingFile-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `PathType`

    - #### getServiceQname

          public XsdQNameType getServiceQname()

      Ruft den Wert der serviceQname-Eigenschaft ab.
      Returns:
        possible object is `XsdQNameType`

    - #### setServiceQname

          public void setServiceQname(XsdQNameType value)

      Legt den Wert der serviceQname-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdQNameType`

    - #### getPortComponentRef

          public List<PortComponentRefType> getPortComponentRef()

      Gets the value of the portComponentRef property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the portComponentRef property.

      For example, to add a new item, do as follows:

              getPortComponentRef().add(newItem);

      Objects of the following type(s) are allowed in the list `PortComponentRefType`

    - #### getHandler

          public List<HandlerType> getHandler()

      Gets the value of the handler property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the handler property.

      For example, to add a new item, do as follows:

              getHandler().add(newItem);

      Objects of the following type(s) are allowed in the list `HandlerType`

    - #### getHandlerChains

          public HandlerChainsType getHandlerChains()

      Ruft den Wert der handlerChains-Eigenschaft ab.
      Returns:
        possible object is `HandlerChainsType`

    - #### setHandlerChains

          public void setHandlerChains(HandlerChainsType value)

      Legt den Wert der handlerChains-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `HandlerChainsType`

    - #### getMappedName

          public XsdStringType getMappedName()

      Ruft den Wert der mappedName-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setMappedName

          public void setMappedName(XsdStringType value)

      Legt den Wert der mappedName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getInjectionTarget

          public List<InjectionTargetType> getInjectionTarget()

      Gets the value of the injectionTarget property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the injectionTarget property.

      For example, to add a new item, do as follows:

              getInjectionTarget().add(newItem);

      Objects of the following type(s) are allowed in the list `InjectionTargetType`

    - #### getLookupName

          public XsdStringType getLookupName()

      Ruft den Wert der lookupName-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setLookupName

          public void setLookupName(XsdStringType value)

      Legt den Wert der lookupName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.